Download it now!
Bug 102138 - Base doesn't show Table Element Wizard window when creating subform on a form
Summary: Base doesn't show Table Element Wizard window when creating subform on a form
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.2.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Database-Forms
  Show dependency treegraph
 
Reported: 2016-09-12 22:51 UTC by grgsmiths
Modified: 2018-01-29 10:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description grgsmiths 2016-09-12 22:51:37 UTC
...when creating a subform inside a form which will display the fields of another table there is no Table Element Wizard window for the fields you want to include in the subform table.  

Only way found to add Fields is to select the subform and then use the Add Field icon in the Form Design Toolbar, and drag the field names from the Add Field window to the heading area of the subform...

step by step:
1. Edit form that displays a single table content.
2. Click on "form navigator" => Right click on "main form" => "new" => "Form"
3. Right click on the new form created (inside "form navigator") => "Properties"
4. Then I fill "Content type" with "table", in "content" I choose the table name I want to display, then I click on "link master fields" and choose the fields that relates both tables.
5. And now, having the subform selected, click on "more controls" => "table control" and I create a framework (using the mouse) in order to make the new table fields appear, but.... the wizard that should let you choose the fields you want to include doesn't appear. Instead, there is a Data Spread Sheet form without any fields.


I am using Win10 home 64bit and jdk-8u101-windows-x64  Java and LO v5.2.1.2 64bit
Comment 1 Alex Thurgood 2017-03-02 10:14:46 UTC
Version 5212 has been superceded by a more recent version. The latest "Still" version is LO 5.2.5.x

The latest "Fresh" version is LO 5.3.0.3.

Please try one of these versions and see if your problem has been resolved in the meantime.
Comment 2 QA Administrators 2018-01-02 10:14:34 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2018-01-29 10:35:30 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180129